# Generated by Django 3.2.10 on 2022-01-25 08:48

from django.db import migrations, models


def migrate_data(apps, schema_editor):
    Appointment = apps.get_model('appointments', 'Appointment')

    appointments = Appointment.objects.filter(
        participation__assigned_conductor__isnull=False
    )

    for appointment in appointments:
        appointment.assigned_conductors.add(
            appointment.participation.assigned_conductor
        )


class Migration(migrations.Migration):

    dependencies = [
        ('appointments', '0004_rm_appointments_not_participating'),
        ('recruitment', '0039_subject_uuid_foreign_key'),
        ('studies', '0044_alter_studysession_resource'),
    ]

    operations = [
        migrations.AddField(
            model_name='appointment',
            name='assigned_conductors',
            field=models.ManyToManyField(
                blank=True,
                related_name='+',
                to='studies.StudyMembership',
                verbose_name='Assigned conductors',
            ),
        ),
        migrations.RunPython(migrate_data),
    ]
