# Generated by Django 3.2.11 on 2022-01-17 14:15

from django.conf import settings
from django.db import migrations, models


def migrate_data(apps, schema_editor):
    User = apps.get_model('castellum_auth', 'User')

    for user in User.objects.exclude(general_domains=None):
        user.domain_set.set(user.general_domains.all())


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('pseudonyms', '0007_domain_exportable_attributes'),
        ('castellum_auth', '0005_remove_user_logout_timeout'),
    ]

    operations = [
        migrations.AddField(
            model_name='domain',
            name='managers',
            field=models.ManyToManyField(blank=True, to=settings.AUTH_USER_MODEL),
        ),
        migrations.RunPython(migrate_data),
        migrations.AlterField(
            model_name='domain',
            name='managers',
            field=models.ManyToManyField(
                blank=True,
                related_name='general_domains',
                to=settings.AUTH_USER_MODEL,
                verbose_name='Users who can access this domain',
            ),
        ),
    ]
