# Generated by Django 3.2.9 on 2021-11-16 14:15

from django.db import migrations, models
import django.db.models.deletion
import parler.fields


class Migration(migrations.Migration):

    replaces = [
        ('recruitment', '0022_delete_attributeset'),
        ('recruitment', '0023_delete_appointment'),
        ('recruitment', '0024_attributedescription_url'),
        ('recruitment', '0025_verbose_names'),
        ('recruitment', '0026_participation_batch'),
        ('recruitment', '0027_mailbatch_reminded'),
        ('recruitment', '0028_mailbatch_reminded_datetime'),
        ('recruitment', '0029_status_wording'),
        ('recruitment', '0030_participation_dropped_out'),
        ('recruitment', '0031_execution_tag'),
        ('recruitment', '0032_executiontag_color'),
        ('recruitment', '0033_reliabilityentry'),
        ('recruitment', '0034_alter_executiontag_color'),
        ('recruitment', '0035_participation_assigned_recruiter'),
        ('recruitment', '0036_participation_assigned_conductor'),
        ('recruitment', '0037_participation_excluded_by_cleanup'),
    ]

    initial = True

    dependencies = [
        ('subjects', '0001_squashed_0028_initial'),
        ('recruitment', '0001_squashed_0021_initial'),
        ('studies', '0001_squashed_0035_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='subjectfiltergroup',
            name='study',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to='studies.study'
            ),
        ),
        migrations.AddField(
            model_name='subjectfilter',
            name='description',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='recruitment.attributedescription',
            ),
        ),
        migrations.AddField(
            model_name='subjectfilter',
            name='group',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='recruitment.subjectfiltergroup',
            ),
        ),
        migrations.AddField(
            model_name='reliabilityentry',
            name='study',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='studies.study',
                verbose_name='Study',
            ),
        ),
        migrations.AddField(
            model_name='reliabilityentry',
            name='subject',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='subjects.subject',
                verbose_name='Subject',
            ),
        ),
        migrations.AddField(
            model_name='participation',
            name='assigned_conductor',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name='+',
                to='studies.studymembership',
                verbose_name='Assigned conductor',
            ),
        ),
        migrations.AddField(
            model_name='participation',
            name='assigned_recruiter',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name='+',
                to='studies.studymembership',
                verbose_name='Assigned recruiter',
            ),
        ),
        migrations.AddField(
            model_name='participation',
            name='batch',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to='recruitment.mailbatch',
                verbose_name='Mail batch',
            ),
        ),
        migrations.AddField(
            model_name='participation',
            name='execution_tags',
            field=models.ManyToManyField(
                blank=True, to='recruitment.ExecutionTag', verbose_name='Execution tags'
            ),
        ),
        migrations.AddField(
            model_name='participation',
            name='study',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='studies.study',
                verbose_name='Study',
            ),
        ),
        migrations.AddField(
            model_name='participation',
            name='subject',
            field=models.ForeignKey(
                editable=False,
                on_delete=django.db.models.deletion.CASCADE,
                to='subjects.subject',
            ),
        ),
        migrations.AddField(
            model_name='newsmailbatch',
            name='study',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='studies.study',
                verbose_name='Study',
            ),
        ),
        migrations.AddField(
            model_name='mailbatch',
            name='study',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='studies.study',
                verbose_name='Study',
            ),
        ),
        migrations.AddField(
            model_name='executiontag',
            name='study',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to='studies.study'
            ),
        ),
        migrations.AddField(
            model_name='attributedescriptiontranslation',
            name='master',
            field=parler.fields.TranslationsForeignKey(
                editable=False,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='translations',
                to='recruitment.attributedescription',
            ),
        ),
        migrations.AddField(
            model_name='attributedescription',
            name='category',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to='recruitment.attributecategory',
            ),
        ),
        migrations.AddField(
            model_name='attributechoicetranslation',
            name='master',
            field=parler.fields.TranslationsForeignKey(
                editable=False,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='translations',
                to='recruitment.attributechoice',
            ),
        ),
        migrations.AddField(
            model_name='attributechoice',
            name='description',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to='recruitment.attributedescription',
            ),
        ),
        migrations.AddField(
            model_name='attributecategorytranslation',
            name='master',
            field=parler.fields.TranslationsForeignKey(
                editable=False,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='translations',
                to='recruitment.attributecategory',
            ),
        ),
        migrations.AlterUniqueTogether(
            name='participation',
            unique_together={('study', 'subject')},
        ),
        migrations.AlterUniqueTogether(
            name='attributedescriptiontranslation',
            unique_together={('language_code', 'master')},
        ),
        migrations.AlterUniqueTogether(
            name='attributechoicetranslation',
            unique_together={('language_code', 'master')},
        ),
        migrations.AlterUniqueTogether(
            name='attributecategorytranslation',
            unique_together={('language_code', 'master')},
        ),
    ]
