# Generated by Django 3.2.9 on 2021-11-16 14:15

import castellum.utils.fields
import castellum.utils.forms
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import parler.fields
import parler.models


class Migration(migrations.Migration):

    replaces = [
        ('studies', '0001_squashed_0025_studysession_schedule_id'),
        ('studies', '0026_study_exportable_attributes'),
        ('studies', '0027_studysession_reminder_text'),
        ('studies', '0028_studysession_schedule_id_charfield'),
        ('studies', '0029_studytag'),
        ('studies', '0030_domain_context'),
        ('studies', '0031_study_snapshot'),
        ('studies', '0032_study_is_filter_trial'),
        ('studies', '0033_study_general_domains'),
        ('studies', '0034_study_name_unique'),
        ('studies', '0035_alter_study_exportable_attributes'),
    ]

    initial = True

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('recruitment', '0001_squashed_0021_initial'),
        ('pseudonyms', '0001_squashed_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Resource',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('name', models.CharField(max_length=128, verbose_name='Name')),
            ],
        ),
        migrations.CreateModel(
            name='Study',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'name',
                    models.CharField(max_length=254, unique=True, verbose_name='Name'),
                ),
                (
                    'contact_person',
                    models.CharField(
                        max_length=254, verbose_name='Responsible contact person'
                    ),
                ),
                (
                    'principal_investigator',
                    models.CharField(
                        max_length=254, verbose_name='Principal Investigator'
                    ),
                ),
                (
                    'affiliated_scientists',
                    models.CharField(
                        blank=True, max_length=254, verbose_name='Affiliated Scientists'
                    ),
                ),
                (
                    'affiliated_research_assistants',
                    models.CharField(
                        blank=True,
                        max_length=254,
                        verbose_name='Affiliated Research Assistants',
                    ),
                ),
                (
                    'description',
                    models.TextField(blank=True, verbose_name='Description'),
                ),
                (
                    'previous_status',
                    models.SmallIntegerField(
                        choices=[(0, 'Edit'), (1, 'Execution'), (2, 'Finished')],
                        default=0,
                        verbose_name='Previous status',
                    ),
                ),
                (
                    'status',
                    models.SmallIntegerField(
                        choices=[(0, 'Edit'), (1, 'Execution'), (2, 'Finished')],
                        default=0,
                        verbose_name='Status',
                    ),
                ),
                (
                    'data_sensitivity',
                    models.BooleanField(
                        default=False, verbose_name='Contains sensitive data'
                    ),
                ),
                (
                    'min_subject_count',
                    models.PositiveIntegerField(
                        default=0, verbose_name='Required number of subjects'
                    ),
                ),
                (
                    'session_instructions',
                    models.TextField(
                        blank=True,
                        help_text='Please describe any requirements for carrying out the sessions listed below. For example, specify time intervals between sessions that need to be considered for booking appointments.',
                        verbose_name='Session instructions',
                    ),
                ),
                (
                    'sessions_start',
                    castellum.utils.fields.DateField(
                        blank=True, null=True, verbose_name='Start of test sessions'
                    ),
                ),
                (
                    'sessions_end',
                    castellum.utils.fields.DateField(
                        blank=True, null=True, verbose_name='End of test sessions'
                    ),
                ),
                (
                    'exclusion_criteria',
                    models.TextField(
                        blank=True,
                        verbose_name='Additional subject characteristics that should be verified during recruitment',
                    ),
                ),
                (
                    'recruitment_text',
                    models.TextField(
                        blank=True,
                        help_text='This text will be used during recruitment dialogue. Thus, please describe the study from the perspective of recruiters and potential participants: What is it about? How long will it take? Are there any potential benefits or risks for participants? If applicable, also present the amount of expense allowance and related requirements.',
                        verbose_name='Recruitment text',
                    ),
                ),
                (
                    'announce_status_changes',
                    models.BooleanField(
                        default=False, verbose_name='Announce status changes'
                    ),
                ),
                (
                    'snapshot',
                    models.TextField(
                        blank=True, editable=False, verbose_name='Snapshot'
                    ),
                ),
                (
                    'advanced_filtering',
                    models.BooleanField(
                        default=False,
                        help_text='By default you can create only one filtergroup in which all the filters are joined by AND operator. Advanced filtering allows you to create multiple filtergroups which are joined by OR operator.',
                        verbose_name='Advanced filtering',
                    ),
                ),
                (
                    'custom_filter',
                    models.CharField(
                        blank=True, max_length=254, verbose_name='Custom filter'
                    ),
                ),
                (
                    'geo_filter',
                    castellum.utils.fields.RestrictedFileField(
                        blank=True,
                        help_text='A GeoJSON file that contains only a single (multi)polygon. Only subjects who live inside this polygon will be considered for this study.',
                        upload_to='studies/geofilters/',
                        validators=[
                            castellum.utils.forms.JsonFileValidator(
                                {
                                    '$defs': {
                                        'Feature': {
                                            'properties': {
                                                'geometry': {
                                                    'oneOf': [
                                                        {'$ref': '#/$defs/Polygon'},
                                                        {
                                                            '$ref': '#/$defs/MultiPolygon'
                                                        },
                                                    ]
                                                },
                                                'properties': {
                                                    'oneOf': [
                                                        {'type': 'null'},
                                                        {'type': 'object'},
                                                    ]
                                                },
                                                'type': {
                                                    'enum': ['Feature'],
                                                    'type': 'string',
                                                },
                                            },
                                            'required': [
                                                'type',
                                                'properties',
                                                'geometry',
                                            ],
                                            'type': 'object',
                                        },
                                        'MultiPolygon': {
                                            'properties': {
                                                'coordinates': {
                                                    'items': {
                                                        '$ref': '#/$defs/MultiPolygon'
                                                    },
                                                    'type': 'array',
                                                },
                                                'type': {
                                                    'enum': ['MultiPolygon'],
                                                    'type': 'string',
                                                },
                                            },
                                            'required': ['type', 'coordinates'],
                                            'type': 'object',
                                        },
                                        'Polygon': {
                                            'properties': {
                                                'coordinates': {
                                                    '$ref': '#/$defs/PolygonCoordinates'
                                                },
                                                'type': {
                                                    'enum': ['Polygon'],
                                                    'type': 'string',
                                                },
                                            },
                                            'required': ['type', 'coordinates'],
                                            'type': 'object',
                                        },
                                        'PolygonCoordinates': {
                                            'items': {
                                                'items': {
                                                    'items': {'type': 'number'},
                                                    'minItems': 2,
                                                    'type': 'array',
                                                },
                                                'minItems': 4,
                                                'type': 'array',
                                            },
                                            'type': 'array',
                                        },
                                    },
                                    '$schema': 'http://json-schema.org/draft-07/schema#',
                                },
                                '#/$defs/Feature',
                            )
                        ],
                        verbose_name='Geo filter file',
                    ),
                ),
                (
                    'is_exclusive',
                    models.BooleanField(
                        default=False,
                        help_text='When set, this ensures that potential subjects for this study will not be recruited in other studies. Please note that this may hinder other researchers in finding enough participants.',
                        verbose_name='Exclusive subjects',
                    ),
                ),
                (
                    'complete_matches_only',
                    models.BooleanField(
                        default=False,
                        help_text='By default, filters may include subjects with incomplete attributes. This feature is supposed to improve the quality of the database by asking recruiters to fill missing values on the go. Only allowing complete filter matches can speed up individual recruitments but may deteriorate the quality of the database as a whole. Furthermore, this reduces the number of potential subjects.',
                        verbose_name='Complete filter matches only',
                    ),
                ),
                (
                    'is_onetime_invitation',
                    models.BooleanField(
                        default=False,
                        help_text='Use this if you want to skip the usual recruitment workflow and just send an email to subjects, e.g. to invite them to an anonymous online survey.',
                        verbose_name='Is a one time invitation',
                    ),
                ),
                (
                    'is_filter_trial',
                    models.BooleanField(
                        default=False,
                        help_text='Use this if you only want to see how many subjects would match a specific study and filter configuration without actually intending to recruit.',
                        verbose_name='Is a filter trial',
                    ),
                ),
                (
                    'consent',
                    castellum.utils.fields.RestrictedFileField(
                        blank=True, upload_to='studies/consent/', verbose_name='Consent'
                    ),
                ),
                (
                    'mail_subject',
                    models.CharField(
                        blank=True, max_length=254, verbose_name='E-mail subject'
                    ),
                ),
                (
                    'mail_body',
                    models.TextField(
                        blank=True,
                        help_text='Any "{name}"-tags included in the e-mail-body will automatically be replaced with the full name of the subject.',
                        verbose_name='E-mail body',
                    ),
                ),
                (
                    'email',
                    models.EmailField(max_length=128, verbose_name='E-mail-address'),
                ),
                (
                    'phone',
                    castellum.utils.fields.PhoneNumberField(
                        max_length=32, region=None, verbose_name='Phone number'
                    ),
                ),
                (
                    'excluded_studies',
                    models.ManyToManyField(
                        blank=True,
                        related_name='+',
                        to='studies.Study',
                        verbose_name='Excluded studies',
                    ),
                ),
                (
                    'exportable_attributes',
                    models.ManyToManyField(
                        blank=True,
                        related_name='+',
                        to='recruitment.AttributeDescription',
                        verbose_name='Exportable recruitment attributes',
                    ),
                ),
                (
                    'general_domains',
                    models.ManyToManyField(
                        blank=True,
                        limit_choices_to={'object_id': None},
                        to='pseudonyms.Domain',
                        verbose_name='General pseudonym domains',
                    ),
                ),
            ],
            options={
                'ordering': ['name'],
                'permissions': [
                    ('access_study', 'Can access studies'),
                    ('approve_study', 'Can approve studies'),
                ],
            },
        ),
        migrations.CreateModel(
            name='StudyGroup',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'name',
                    models.CharField(max_length=150, unique=True, verbose_name='name'),
                ),
                (
                    'permissions',
                    models.ManyToManyField(
                        blank=True, to='auth.Permission', verbose_name='permissions'
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='StudyType',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'exclusion_criteria',
                    models.TextField(
                        blank=True,
                        verbose_name='Additional subject characteristics that should be verified during recruitment',
                    ),
                ),
                (
                    'data_sensitivity',
                    models.BooleanField(
                        default=False, verbose_name='Contains sensitive data'
                    ),
                ),
                (
                    'export_key',
                    models.CharField(
                        blank=True,
                        choices=[
                            ('Online', 'Online'),
                            ('Behavioral lab', 'Behavioral lab'),
                            ('MRI', 'MRI'),
                            ('Simulation', 'Simulation'),
                            ('EEG', 'EEG'),
                        ],
                        max_length=32,
                        verbose_name='Export key',
                    ),
                ),
            ],
            options={
                'abstract': False,
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='StudyTypeEventFeed',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('url', models.URLField(verbose_name='URL')),
                (
                    'color',
                    castellum.utils.fields.ColorField(
                        max_length=7, verbose_name='Color'
                    ),
                ),
                (
                    'study_type',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='studies.studytype',
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='StudyTag',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('name', models.CharField(max_length=128, verbose_name='Name')),
                (
                    'study',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='studies.study'
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='StudySession',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('name', models.CharField(max_length=128, verbose_name='Name')),
                (
                    'duration',
                    models.PositiveIntegerField(
                        verbose_name='Duration of a session in minutes'
                    ),
                ),
                (
                    'reminder_text',
                    models.TextField(
                        blank=True, verbose_name='Additional text for reminder emails'
                    ),
                ),
                (
                    'schedule_id',
                    models.CharField(
                        blank=True,
                        max_length=64,
                        null=True,
                        unique=True,
                        verbose_name='External schedule ID',
                    ),
                ),
                (
                    'resource',
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to='studies.resource',
                        verbose_name='Resource',
                    ),
                ),
                (
                    'study',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='studies.study'
                    ),
                ),
                (
                    'type',
                    models.ManyToManyField(
                        blank=True, to='studies.StudyType', verbose_name='Type'
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name='StudyMembership',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'groups',
                    models.ManyToManyField(
                        blank=True,
                        related_name='+',
                        to='studies.StudyGroup',
                    ),
                ),
                (
                    'study',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to='studies.study'
                    ),
                ),
                (
                    'user',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                'unique_together': {('study', 'user')},
            },
        ),
        migrations.AddField(
            model_name='study',
            name='members',
            field=models.ManyToManyField(
                through='studies.StudyMembership', to=settings.AUTH_USER_MODEL
            ),
        ),
        migrations.CreateModel(
            name='StudyTypeTranslation',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                (
                    'language_code',
                    models.CharField(
                        db_index=True, max_length=15, verbose_name='Language'
                    ),
                ),
                ('label', models.CharField(max_length=64, verbose_name='Label')),
                (
                    'master',
                    parler.fields.TranslationsForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='translations',
                        to='studies.studytype',
                    ),
                ),
            ],
            options={
                'verbose_name': 'study type Translation',
                'db_table': 'studies_studytype_translation',
                'db_tablespace': '',
                'managed': True,
                'default_permissions': (),
                'unique_together': {('language_code', 'master')},
            },
            bases=(parler.models.TranslatedFieldsModelMixin, models.Model),
        ),
    ]
