# Generated by Django 3.2.11 on 2022-01-17 15:21

from django.db import migrations, models


def migrate_data(apps, schema_editor):
    StudySession = apps.get_model('studies', 'StudySession')

    for session in StudySession.objects.exclude(resource=None):
        session.resources.add(session.resource)


class Migration(migrations.Migration):

    dependencies = [
        ('studies', '0043_studysession_schedule_updated_at'),
    ]

    operations = [
        migrations.AddField(
            model_name='studysession',
            name='resources',
            field=models.ManyToManyField(
                blank=True, to='studies.Resource', verbose_name='Resources'
            ),
        ),
        migrations.RunPython(migrate_data),
        migrations.RemoveField(
            model_name='studysession',
            name='resource',
        ),
    ]
