# Generated by Django 3.2.13 on 2022-07-13 16:09

from django.db import migrations


def migrate_data(apps, schema_editor):
    Study = apps.get_model('studies', 'Study')

    for study in Study.objects.exclude(exclusion_criteria=''):
        if study.recruitment_text:
            study.recruitment_text += '\n\n' + study.exclusion_criteria
        else:
            study.recruitment_text = study.exclusion_criteria
        study.save()


class Migration(migrations.Migration):

    dependencies = [
        ('studies', '0049_remove_study_announce_status_changes'),
    ]

    operations = [
        migrations.RunPython(migrate_data),
        migrations.RemoveField(
            model_name='study',
            name='exclusion_criteria',
        ),
    ]
