# Generated by Django 3.2.13 on 2022-06-27 12:05

from django.db import migrations, models
import django.db.models.deletion


def migrate_data(apps, schema_editor):
    WAITING = 'waiting'
    CONFIRMED = 'confirmed'

    Subject = apps.get_model('subjects', 'Subject')
    Consent = apps.get_model('subjects', 'Consent')

    for subject in Subject.objects.filter(consent=None):
        Consent.objects.create(subject=subject, document=None, status=CONFIRMED)

    for subject in Subject.objects.filter(consent__status=WAITING):
        # needs to be update() in order not to set Subject.updated_at to now
        Subject.objects.filter(pk=subject.pk).update(
            consent_waiting_since=subject.consent.updated_at
        )
        subject.consent.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('subjects', '0040_consentdocument_name'),
    ]

    operations = [
        migrations.AlterField(
            model_name='consent',
            name='document',
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to='subjects.consentdocument',
                verbose_name='Document',
            ),
        ),
        migrations.AddField(
            model_name='subject',
            name='consent_waiting_since',
            field=models.DateTimeField(blank=True, null=True),
        ),
        migrations.RunPython(migrate_data),
    ]
